ClassificationModel (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.model

## Class ClassificationModel

- java.lang.Object
- - com.extjs.gxt.ui.client.data.BaseModelData
  - - org.gcube.portlets.user.speciesdiscovery.client.model.ClassificationModel

- All Implemented Interfaces:
    com.extjs.gxt.ui.client.data.ModelData, Serializable

      public class ClassificationModel
      extends com.extjs.gxt.ui.client.data.BaseModelData
      implements Serializable

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `allowNestedValues, map`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassificationModel()`
    `ClassificationModel(String id, String name, String baseTaxonId, String baseTaxonName, boolean isLeaf)`
    `ClassificationModel(String id, String name, String classificationRank, String baseTaxonId, String baseTaxonName, boolean isLeaf, int counter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getBaseTaxonId()`
    `String` | `getBaseTaxonName()`
    `String` | `getClassificationRank()`
    `int` | `getCountOf()`
    `String` | `getId()`
    `String` | `getName()`
    `void` | `incrCountOf()`
    `boolean` | `isLeaf()`
    `void` | `setClassificationRank(String classificationRank)`
    `void` | `setCountOf(int count)`

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `get, get, getProperties, getPropertyNames, isAllowNestedValues, remove, set, setAllowNestedValues, setProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassificationModel

          public ClassificationModel(String id,
                             String name,
                             String baseTaxonId,
                             String baseTaxonName,
                             boolean isLeaf)

    - #### ClassificationModel

          public ClassificationModel(String id,
                             String name,
                             String classificationRank,
                             String baseTaxonId,
                             String baseTaxonName,
                             boolean isLeaf,
                             int counter)

    - #### ClassificationModel

          public ClassificationModel()

  - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getId

          public String getId()

    - #### getName

          public String getName()

    - #### getBaseTaxonId

          public String getBaseTaxonId()

    - #### getBaseTaxonName

          public String getBaseTaxonName()

    - #### isLeaf

          public boolean isLeaf()

    - #### getCountOf

          public int getCountOf()

    - #### setCountOf

          public void setCountOf(int count)

    - #### incrCountOf

          public void incrCountOf()

    - #### getClassificationRank

          public String getClassificationRank()

    - #### setClassificationRank

          public void setClassificationRank(String classificationRank)

Copyright © 2013. All Rights Reserved.